Loading...
Searching...
No Matches
casacore::FitsKeyCardTranslator Class Reference
fits package (libcasa_fits) » FITS_module

translator between Keyword lists and fixed FITS cars More...

`#include <fits.h>`

## Public Member Functions

| FitsKeyCardTranslator (int=100)
| ~FitsKeyCardTranslator ()
FitsKeywordList & | parse (const char *, FitsKeywordList &, int, FITSErrorHandler, Bool)
int | build (char *, FitsKeywordList &)
int | no_errs () const
const char * | err (int) const
int | err_cardno (int) const

## Static Public Member Functions

static void | fmtcard (char *, const FitsKeyword &)

## Private Attributes

int | cardno
int | max_errs
int | no_errs_
const char ** | err_
int * | err_cardno_
char * | blanks

## Static Private Attributes

static constexpr int | FitsCardSize
static constexpr int | FitsMaxCard
static constexpr int | FitsRecSize

## Detailed Description

translator between Keyword lists and fixed FITS cars

### Review Status

Reviewed By:
  UNKNOWN
Date Reviewed:
  before2004/08/25

### Synopsis

also contains the parser ???

Definition at line 983 of file fits.h.

## Constructor & Destructor Documentation

## FitsKeyCardTranslator()

casacore::FitsKeyCardTranslator::FitsKeyCardTranslator | ( | int | = 100 | ) |

## ~FitsKeyCardTranslator()

casacore::FitsKeyCardTranslator::~FitsKeyCardTranslator | ( |  | ) |

inline

Definition at line 1006 of file fits.h.

References blanks, err_, and err_cardno_.

## Member Function Documentation

## build()

int casacore::FitsKeyCardTranslator::build | ( | char * | ,
|  | FitsKeywordList & | )

## err()

const char * casacore::FitsKeyCardTranslator::err | ( | int | i | ) | const

inline

Definition at line 1009 of file fits.h.

References err_.

## err_cardno()

int casacore::FitsKeyCardTranslator::err_cardno | ( | int | i | ) | const

inline

Definition at line 1010 of file fits.h.

References err_cardno_.

## fmtcard()

void casacore::FitsKeyCardTranslator::fmtcard | ( | char * | ,
|  | const FitsKeyword & | )

static

## no_errs()

int casacore::FitsKeyCardTranslator::no_errs | ( |  | ) | const

inline

Definition at line 1008 of file fits.h.

References no_errs_.

## parse()

FitsKeywordList & casacore::FitsKeyCardTranslator::parse | ( | const char * | ,
|  | FitsKeywordList & | ,
|  | int | ,
|  | FITSErrorHandler | ,
|  | Bool | )

## Member Data Documentation

## blanks

char* casacore::FitsKeyCardTranslator::blanks

private

Definition at line 1003 of file fits.h.

Referenced by ~FitsKeyCardTranslator().

## cardno

int casacore::FitsKeyCardTranslator::cardno

private

Definition at line 995 of file fits.h.

## err_

const char** casacore::FitsKeyCardTranslator::err_

private

Definition at line 1001 of file fits.h.

Referenced by err(), and ~FitsKeyCardTranslator().

## err_cardno_

int* casacore::FitsKeyCardTranslator::err_cardno_

private

Definition at line 1002 of file fits.h.

Referenced by err_cardno(), and ~FitsKeyCardTranslator().

## FitsCardSize

int casacore::FitsKeyCardTranslator::FitsCardSize

static constexpr private

Definition at line 996 of file fits.h.

## FitsMaxCard

int casacore::FitsKeyCardTranslator::FitsMaxCard

static constexpr private

Definition at line 997 of file fits.h.

## FitsRecSize

int casacore::FitsKeyCardTranslator::FitsRecSize

static constexpr private

Definition at line 998 of file fits.h.

## max_errs

int casacore::FitsKeyCardTranslator::max_errs

private

Definition at line 999 of file fits.h.

## no_errs_

int casacore::FitsKeyCardTranslator::no_errs_

private

Definition at line 1000 of file fits.h.

Referenced by no_errs().

The documentation for this class was generated from the following file:

- fits/FITS/fits.h